OpenAPI SpecificationJSON
API Reference

Relation

A relation object introduces common relations between annotations. An annotation could be related to one or more other annotations and it may belong to several relations at the same time.

Relation types:

  • edit relation is created after editing annotation in user interface (rotation or split of the document). The original annotation is set to parent attribute and newly created annotations are set to annotations attribute. To find all siblings of edited annotation see filters on annotation
  • attachment is a relationship representing the state that one or more documents are attachments to another document. key is null in this case. Feature must be enabled.
  • duplicate relation is created after importing the same document that already exists in Rossum for current organization. If duplicate relation already exists then corresponding annotation is added to existing relation. key of duplicate relation is set to hash of document content. To find all duplicates of the annotation filter annotations with appropriate hash in relation key. See filters on annotation

This resource supports ETag HTTP header handling. Use If-None-Match for conditional retrieval and If-Match for conditional updates and deletes.

Relation

Attribute
Type
Description
id*
read-only
integer

ID of the relation

type*
"edit" | "attachment" | "duplicate"

Type of relationship. Possible values are: edit, attachment, duplicate.

  • edit relation is created after editing annotation in user interface (rotation or split of the document)
  • attachment is a relationship representing the state that one or more documents are attachments to another document
  • duplicate relation is created after importing the same document that already exists in Rossum for current organization
Default: "edit"
key*
string | null

Key used to distinguish several instances of the same type.

  • For attachment relations, this is null
  • For duplicate relations, this is set to a hash of document content
  • For edit relations, this is typically null
parent*
URL

URL of the parent annotation in case of 1-M relationship

annotations*
list[URL]

List of related annotations

url*
read-only
URL

URL of the relation

List relations

GET api / v1 / relations

Retrieve all relation objects (annotations from queues not with active status are excluded).

GET
/api/v1/relations
curl -X GET "https://example.rossum.app/api/v1/relations"
{
  "pagination": {
    "next": null,
    "previous": null
  },
  "results": [
    {
      "id": 1,
      "type": "edit",
      "key": null,
      "parent": "https://example.rossum.app/api/v1/annotations/123",
      "annotations": [
        "https://example.rossum.app/api/v1/annotations/124",
        "https://example.rossum.app/api/v1/annotations/125"
      ],
      "url": "https://example.rossum.app/api/v1/relations/1"
    }
  ]
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
pagination*
pagination
next
URL

URL for the next page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the next page — do not attempt to construct or modify the cursor value.

previous
URL

URL for the previous page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the previous page — do not attempt to construct or modify the cursor value.

results*
id*
read-only
integer

ID of the relation

type*
"edit" | "attachment" | "duplicate"

Type of relationship. Possible values are: edit, attachment, duplicate.

  • edit relation is created after editing annotation in user interface (rotation or split of the document)
  • attachment is a relationship representing the state that one or more documents are attachments to another document
  • duplicate relation is created after importing the same document that already exists in Rossum for current organization
Default: "edit"
key*
string | null

Key used to distinguish several instances of the same type.

  • For attachment relations, this is null
  • For duplicate relations, this is set to a hash of document content
  • For edit relations, this is typically null
parent*
URL

URL of the parent annotation in case of 1-M relationship

annotations*
list[URL]

List of related annotations

url*
read-only
URL

URL of the relation

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Create relation

POST api / v1 / relations

Create a new relation object.

POST
/api/v1/relations
curl -X POST "https://example.rossum.app/api/v1/relations" \  -H "Content-Type: application/json" \  -d '{    "type": "edit",    "annotations": [      "https://example.rossum.app/api/v1/annotations/124",      "https://example.rossum.app/api/v1/annotations/125"    ]  }'
{
  "id": 1,
  "type": "edit",
  "key": null,
  "parent": "https://example.rossum.app/api/v1/annotations/123",
  "annotations": [
    "https://example.rossum.app/api/v1/annotations/124",
    "https://example.rossum.app/api/v1/annotations/125"
  ],
  "url": "https://example.rossum.app/api/v1/relations/1"
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
type*
"edit" | "attachment" | "duplicate"

Type of relationship. Possible values are: edit, attachment, duplicate.

  • edit relation is created after editing annotation in user interface (rotation or split of the document)
  • attachment is a relationship representing the state that one or more documents are attachments to another document
  • duplicate relation is created after importing the same document that already exists in Rossum for current organization
Default: "edit"
key
string | null

Key used to distinguish several instances of the same type.

  • For attachment relations, this is null
  • For duplicate relations, this is set to a hash of document content
  • For edit relations, this is typically null
parent
URL

URL of the parent annotation in case of 1-M relationship

annotations*
list[URL]

List of related annotations

Response

201Created

Created

Attribute
Type
Description
id*
read-only
integer

ID of the relation

type*
"edit" | "attachment" | "duplicate"

Type of relationship. Possible values are: edit, attachment, duplicate.

  • edit relation is created after editing annotation in user interface (rotation or split of the document)
  • attachment is a relationship representing the state that one or more documents are attachments to another document
  • duplicate relation is created after importing the same document that already exists in Rossum for current organization
Default: "edit"
key*
string | null

Key used to distinguish several instances of the same type.

  • For attachment relations, this is null
  • For duplicate relations, this is set to a hash of document content
  • For edit relations, this is typically null
parent*
URL

URL of the parent annotation in case of 1-M relationship

annotations*
list[URL]

List of related annotations

url*
read-only
URL

URL of the relation

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Retrieve relation

GET api / v1 / relations / {relationID}

Get a relation object.

GET
/api/v1/relations/{relationID}
curl -X GET "https://example.rossum.app/api/v1/relations/0"
{
  "id": 1,
  "type": "edit",
  "key": null,
  "parent": "https://example.rossum.app/api/v1/annotations/123",
  "annotations": [
    "https://example.rossum.app/api/v1/annotations/124",
    "https://example.rossum.app/api/v1/annotations/125"
  ],
  "url": "https://example.rossum.app/api/v1/relations/1"
}
{
  "detail": "Object was not modified",
  "code": "not_modified"
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
id*
read-only
integer

ID of the relation

type*
"edit" | "attachment" | "duplicate"

Type of relationship. Possible values are: edit, attachment, duplicate.

  • edit relation is created after editing annotation in user interface (rotation or split of the document)
  • attachment is a relationship representing the state that one or more documents are attachments to another document
  • duplicate relation is created after importing the same document that already exists in Rossum for current organization
Default: "edit"
key*
string | null

Key used to distinguish several instances of the same type.

  • For attachment relations, this is null
  • For duplicate relations, this is set to a hash of document content
  • For edit relations, this is typically null
parent*
URL

URL of the parent annotation in case of 1-M relationship

annotations*
list[URL]

List of related annotations

url*
read-only
URL

URL of the relation

304Not Modified

Object was not modified (e.g. ETag matches If-None-Match header).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Partial update relation

PATCH api / v1 / relations / {relationID}

Update part of relation object.

PATCH
/api/v1/relations/{relationID}
curl -X PATCH "https://example.rossum.app/api/v1/relations/0" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 1,
  "type": "edit",
  "key": null,
  "parent": "https://example.rossum.app/api/v1/annotations/123",
  "annotations": [
    "https://example.rossum.app/api/v1/annotations/124",
    "https://example.rossum.app/api/v1/annotations/125"
  ],
  "url": "https://example.rossum.app/api/v1/relations/1"
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Precondition failed.",
  "code": "precondition_failed"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
type
"edit" | "attachment" | "duplicate"

Type of relationship. Possible values are: edit, attachment, duplicate.

  • edit relation is created after editing annotation in user interface (rotation or split of the document)
  • attachment is a relationship representing the state that one or more documents are attachments to another document
  • duplicate relation is created after importing the same document that already exists in Rossum for current organization
Default: "edit"
key
string | null

Key used to distinguish several instances of the same type.

  • For attachment relations, this is null
  • For duplicate relations, this is set to a hash of document content
  • For edit relations, this is typically null
parent
URL

URL of the parent annotation in case of 1-M relationship

annotations
list[URL]

List of related annotations

Response

200OK

OK

Attribute
Type
Description
id*
read-only
integer

ID of the relation

type*
"edit" | "attachment" | "duplicate"

Type of relationship. Possible values are: edit, attachment, duplicate.

  • edit relation is created after editing annotation in user interface (rotation or split of the document)
  • attachment is a relationship representing the state that one or more documents are attachments to another document
  • duplicate relation is created after importing the same document that already exists in Rossum for current organization
Default: "edit"
key*
string | null

Key used to distinguish several instances of the same type.

  • For attachment relations, this is null
  • For duplicate relations, this is set to a hash of document content
  • For edit relations, this is typically null
parent*
URL

URL of the parent annotation in case of 1-M relationship

annotations*
list[URL]

List of related annotations

url*
read-only
URL

URL of the relation

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

412

Precondition failed (e.g. ETag does not match).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Delete relation

DELETE api / v1 / relations / {relationID}

Delete relation object.

DELETE
/api/v1/relations/{relationID}
curl -X DELETE "https://example.rossum.app/api/v1/relations/0"
Empty
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Precondition failed.",
  "code": "precondition_failed"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

204No Content

No Content

No response body.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

412

Precondition failed (e.g. ETag does not match).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Update relation

PUT api / v1 / relations / {relationID}

Update relation object.

PUT
/api/v1/relations/{relationID}
curl -X PUT "https://example.rossum.app/api/v1/relations/0" \  -H "Content-Type: application/json" \  -d '{    "type": "edit",    "annotations": [      "https://example.rossum.app/api/v1/annotations/124",      "https://example.rossum.app/api/v1/annotations/125"    ]  }'
{
  "id": 1,
  "type": "edit",
  "key": null,
  "parent": "https://example.rossum.app/api/v1/annotations/123",
  "annotations": [
    "https://example.rossum.app/api/v1/annotations/124",
    "https://example.rossum.app/api/v1/annotations/125"
  ],
  "url": "https://example.rossum.app/api/v1/relations/1"
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Precondition failed.",
  "code": "precondition_failed"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
type*
"edit" | "attachment" | "duplicate"

Type of relationship. Possible values are: edit, attachment, duplicate.

  • edit relation is created after editing annotation in user interface (rotation or split of the document)
  • attachment is a relationship representing the state that one or more documents are attachments to another document
  • duplicate relation is created after importing the same document that already exists in Rossum for current organization
Default: "edit"
key
string | null

Key used to distinguish several instances of the same type.

  • For attachment relations, this is null
  • For duplicate relations, this is set to a hash of document content
  • For edit relations, this is typically null
parent
URL

URL of the parent annotation in case of 1-M relationship

annotations*
list[URL]

List of related annotations

Response

200OK

OK

Attribute
Type
Description
id*
read-only
integer

ID of the relation

type*
"edit" | "attachment" | "duplicate"

Type of relationship. Possible values are: edit, attachment, duplicate.

  • edit relation is created after editing annotation in user interface (rotation or split of the document)
  • attachment is a relationship representing the state that one or more documents are attachments to another document
  • duplicate relation is created after importing the same document that already exists in Rossum for current organization
Default: "edit"
key*
string | null

Key used to distinguish several instances of the same type.

  • For attachment relations, this is null
  • For duplicate relations, this is set to a hash of document content
  • For edit relations, this is typically null
parent*
URL

URL of the parent annotation in case of 1-M relationship

annotations*
list[URL]

List of related annotations

url*
read-only
URL

URL of the relation

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

412

Precondition failed (e.g. ETag does not match).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error